package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.ScaleContent;
import com.diagbot.enums.ScaleTypeEnum;
import com.diagbot.service.impl.ScaleContentServiceImpl;
import com.diagbot.vo.PushVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 量表内容
 * @author: zhoutg
 * @time: 2018/11/19 13:19
 */
@Component
public class ScaleContentFacade extends ScaleContentServiceImpl {

    /**
     * 返回诊断量表列表
     *
     * @return
     */
    public List<ScaleContent> getContent(PushVO pushVO) {
        //获取内容列表
        List<ScaleContent> data = this.list(new QueryWrapper<ScaleContent>()
                .eq("scale_id", pushVO.getScaleId())
                .orderByAsc("order_no"));

        //看需是否要调用大数据
        for (ScaleContent scaleContent : data) {
            if (ScaleTypeEnum.PUSH.getKey() == scaleContent.getType()) {
                //TODO 调用推理
                scaleContent.setContent("大数据json字符串");
                break;
            }
        }
        return data;
    }


    /**
     * 返回诊断量表列表
     *
     * @return
     */
    public List<ScaleContent> getContent(Long scaleId, String pushContent) {
        //获取内容列表
        List<ScaleContent> data = this.list(new QueryWrapper<ScaleContent>()
                .eq("scale_id", scaleId)
                .orderByAsc("order_no"));

        //看需是否要调用大数据
        for (ScaleContent scaleContent : data) {
            if (ScaleTypeEnum.PUSH.getKey() == scaleContent.getType()) {
                scaleContent.setContent(pushContent);
                break;
            }
        }
        return data;
    }
}
